<template>
    <li><ChevronRightIcon class="h-4 w-4" /></li>
    <li v-if="isRouteLink">
        <router-link
            :to="{ name: nameRoute, params: paramsRoute, hash: hashRoute }"
        >
            <slot />
        </router-link>
    </li>
    <li v-else>
        <slot />
    </li>
</template>

<script>
import { ChevronRightIcon } from "@heroicons/vue/outline";

export default {
    components: {
        ChevronRightIcon
    },
    props: {
        isRouteLink: {
            type: Boolean,
            default: false
        },
        nameRoute: {
            type: String,
            default: ""
        },
        paramsRoute: {
            type: Object,
            default: function() {
                return {};
            }
        },
        hashRoute: {
            type: String,
            default: ""
        }
    }
};
</script>

<style lang="scss" scoped>
a {
    @apply text-main-color;
    svg {
        @apply text-main-color;
    }
}
</style>
